Bug 825376 - git-svn does not use svn password stores
git-svn does not use svn password stores
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 16:17 EDT by Matthew Woehlke
Modified: 2013-04-30 19:51 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-24 19:31:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Woehlke 2012-05-25 16:17:32 EDT
Description of problem:
git-svn does not use svn password stores to remember passwords.

Version-Release number of selected component (if applicable):
git-svn-1.7.10.1-1.fc17.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Configure svn for a repo that requires a passphrase-protected client SSL certificate (we'll call it "https://svn.example.com/trunk")
2. svn list https://svn.example.com/trunk # asks for and remembers password using password store (e.g. kwallet)
3. git svn clone https://svn.example.com/trunk
  
Actual results:
1. "Password:"
2. Enter password
3. Password is not remembered

Expected results:
1. Prompted to unlock kwallet
2. Successfully retrieves password from kwallet

Additional info:
Patch here (http://permalink.gmane.org/gmane.comp.version-control.git/196403) seems to work. (In case of trouble with the link, this was posted to git AT vger.kernel.org, Apr 26, 2012, in the thread "git-svn won't remember pem password".)
Comment 1 Matthew Woehlke 2012-05-25 16:25:13 EDT
Also:
This patch (http://permalink.gmane.org/gmane.comp.version-control.git/196404; same thread) may be needed for gnome-keyring (which I don't use, and so can't test), and the remainder of the thread suggests that the changes have landed upstream already. (But I didn't see a hash for upstream where they can be found.)
Comment 2 Todd Zullinger 2012-05-25 16:55:49 EDT
As this is being actively worked on upstream, I don't see any reason to backport the work until it is finished and included in a release.  Once that happens, we'll likely update to that release in the current Fedora.  Based on that, I'm inclined to close this.  Adam's been doing more of the grunt work to keep up with git releases lately though, so I'll wait for his opinion.

FWIW, the commit should be in master (082afee git-svn: use platform specific auth providers).

https://github.com/git/git/commit/082afee6
Comment 3 Matthew Woehlke 2012-05-25 18:12:44 EDT
@Todd: I'd agree with that except for the closing the report part. IMHO, the report should be closed when a new release is available in F17.

Thanks for digging up the commit hash.
Comment 4 Roman Kagan 2012-07-17 05:04:09 EDT
Now that 1.7.11 is out (since a month ago; current micro version 1.7.11.2) which contains this stuff, perhaps it's time for an update in F17?

Note that this can be considered a security issue: essentially the lack of support for platform's password stores forced git-svn users to keep the passwords in plaintext in their ~/.subversion.
Comment 5 Fedora Update System 2012-07-19 08:48:54 EDT
git-1.7.11.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/git-1.7.11.2-1.fc17
Comment 6 Fedora Update System 2012-07-19 21:58:55 EDT
Package git-1.7.11.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing git-1.7.11.2-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10903/git-1.7.11.2-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-07-24 19:31:57 EDT
git-1.7.11.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.